DragonFly users List (threaded) for 2007-04
DragonFly BSD
DragonFly users List (threaded) for 2007-04
[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]

Re:clamav + milter help

From: wazigster@xxxxxxxxx
Date: Sun, 1 Apr 2007 17:37:39 +0200

I tried to build clamav without milter which works:

#cd /usr/pkgsrc/mail/clamav
#bmake install clean
Note that as of version 0.80, clamav.conf has been replaced by
clamd.conf. Be sure to update your configuration to reflect this.


=> Registering installation for clamav-0.90.1
clamav-0.90.1 requires installed package curl-7.16.1
clamav-0.90.1 requires installed package gmp-4.2.1
===> Cleaning for clamav-0.90.1

# pkg_info
cdrecord-2.00.3nb2  Software for creating ISO9660 images and writing CDs/CD-RWs
dfuibe_installer-1.1.6 DFUI BSD Installer backend
dfuife_curses-1.5   DFUI curses frontend
digest-20050731     Message digest wrapper utility
gettext-lib-0.14.5  Internationalized Message Handling Library (libintl)
libaura-3.1         Collection of useful C functions
libdfui-4.2         LIBrary for DragonFly User Interfaces
libinstaller-5.1    Library of support functions for the BSD Installer applicati
libidn-0.6.11       Internationalized Domain Names command line tool
curl-7.16.1         Client that groks URLs
gmp-4.2.1           Library for arbitrary precision arithmetic
libtool-base-1.5.22nb4 Generic shared library support script (the script itself)
m4-1.4.8            GNU version of UNIX m4 macro language processor
libmilter-8.13.8    Mail filter support library for sendmail
clamav-0.90.1       Anti-virus toolkit

# less mk.conf
# Generated from nrelease
# $DragonFly: src/nrelease/mk.conf.pkgsrc,v 1.2 2005/12/22 23:23:32 dillon Exp $
. ifdef BSD_PKG_MK

. endif

# pkg_delete clamav-0.90.1
The following users are no longer being used by clamav-0.90.1,
and they can be removed if no other software is using them:


# pwd
# bmake clean
===> Cleaning for clamav-0.90.1

Now let's try to build clamav with milter support enabled:

# bmake show-options
Any of the following general options may be selected:
       curl     Enable curl support.

These options are enabled by default:

These options are currently enabled:

You can select which build options to use by setting PKG_DEFAULT_OPTIONS
or PKG_OPTIONS.clamav.

# bmake PKG_OPTIONS.clamav="curl milter" install clean
=> Required installed package libmilter>=8.13.1: libmilter-8.13.8 found
checking whether setpgrp takes no argument... no
checking for sendmail... /usr/sbin/sendmail
checking for __gmpz_init in -lgmp... yes
checking for curl >= 7.10.0... pkg-config: not found
checking for mi_stop in -lmilter... no
checking for library containing strlcpy... no
checking for mi_stop in -lmilter... no
configure: error: Cannot find libmilter
*** Error code 1

bmake: stopped in /usr/pkgsrc/mail/clamav
WARNING: *** Please consider adding USE_LANGUAGES+=c++ to the package Makefile.
WARNING: *** Please consider adding USE_LANGUAGES+=fortran to the
package Makefile.
*** Error code 1

bmake: stopped in /usr/pkgsrc/mail/clamav

Notice both the curl and libmilter versions are higher then requested though for curl it's looking for ">= 7.10.0".

Further more if I fix The USE_LANGUAGES errors by adding them to the
mk.conf (apparently they need to be added somewhere in the Makefile,
no idea where though...)
it start starts to complain about USE_LANGUAGES+=c

Can some pkgsrc guru please look into this? Clamav with libmilter is
either seriously broke or I somehow need to get an older version of
libmilter installed. If it's the later please do provide me with

[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]